Bug 19035 - Stored XSS in patron lists - lists.pl
Summary: Stored XSS in patron lists - lists.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Amit Gupta
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2017-08-04 05:45 UTC by Amit Gupta
Modified: 2017-09-07 06:13 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19035 - Stored XSS in lists.pl (2.67 KB, patch)
2017-08-15 03:10 UTC, Amit Gupta
Details | Diff | Splinter Review
[SIGNED OFF] Bug 19035 - Stored XSS in lists.pl (2.75 KB, patch)
2017-08-16 09:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19035 - Stored XSS in lists.pl (2.83 KB, patch)
2017-08-16 11:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2017-08-04 05:45:44 UTC
XSS Flaws in patron lists
Comment 1 Amit Gupta 2017-08-15 03:10:17 UTC
Created attachment 65990 [details] [review]
Bug 19035 - Stored XSS in lists.pl

To Test
1. Hit the page /cgi-bin/koha/patron_lists/lists.pl
2. Click on new patron list
3. Add a text in the field Name that contains js
4. Save the page.
5. Notice js is execute
6. Apply patch and reload, the js is escaped

Fixed in both the pages list.pl and list.pl?patron_list_id=xx
xx is patronlist id
Comment 2 Katrin Fischer 2017-08-16 09:13:30 UTC
Created attachment 66050 [details] [review]
[SIGNED OFF] Bug 19035 - Stored XSS in lists.pl

To Test
1. Hit the page /cgi-bin/koha/patron_lists/lists.pl
2. Click on new patron list
3. Add a text in the field Name that contains js
4. Save the page.
5. Notice js is execute
6. Apply patch and reload, the js is escaped

Fixed in both the pages list.pl and list.pl?patron_list_id=xx
xx is patronlist id

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Marcel de Rooy 2017-08-16 11:37:52 UTC
Created attachment 66076 [details] [review]
Bug 19035 - Stored XSS in lists.pl

To Test
1. Hit the page /cgi-bin/koha/patron_lists/lists.pl
2. Click on new patron list
3. Add a text in the field Name that contains js
4. Save the page.
5. Notice js is execute
6. Apply patch and reload, the js is escaped

Fixed in both the pages list.pl and list.pl?patron_list_id=xx
xx is patronlist id

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2017-08-29 15:07:20 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-09-05 10:35:16 UTC
Pushed to 17.05.x, is in 17.05.03
Comment 6 Katrin Fischer 2017-09-07 06:13:13 UTC
This patch has been pushed to 16.11.x and is in 16.11.11.